Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/LemmaProjection.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/LemmaProjection.java	(revision 2401)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/LemmaProjection.java	(revision 2402)
@@ -39,94 +39,104 @@
 
 /**
  * Our sample handler extends AbstractHandler, an IHandler base class.
+ * 
  * @see org.eclipse.core.commands.IHandler
  * @see org.eclipse.core.commands.AbstractHandler
  */
 public class LemmaProjection extends AbstractHandler {
-
+	
 	protected static final String EXTRA = "extra";
-	@Option(name="dictionary", usage="TSV Dictionary file with form, msd, lemma, source columns", widget="File", required=true, def="frolex.tsv")
+	
+	@Option(name = "dictionary", usage = "TSV Dictionary file with form, msd, lemma, source columns", widget = "File", required = true, def = "frolex.tsv")
 	public File dictionary = null;
-	@Option(name="extrarules", usage="form+pos rules files", widget="File", required=false, def="extrarules.tsv")
+	
+	@Option(name = "extrarules", usage = "form+pos rules files", widget = "File", required = false, def = "extrarules.tsv")
 	public File extrarules = null;
-	@Option(name="posproperty", usage="The lexicon property to read", widget="String", required=true, def="frpos")
+	
+	@Option(name = "posproperty", usage = "The lexicon property to read", widget = "String", required = true, def = "frpos")
 	public String posproperty = null;
-	@Option(name="lemmaproperty", usage="The property to create/update in the corpus", widget="String", required=true, def="plemma")
+	
+	@Option(name = "lemmaproperty", usage = "The property to create/update in the corpus", widget = "String", required = true, def = "plemma")
 	public String lemmaproperty = null;
-	@Option(name="formAsLemmaPosList", usage="Pos values lemma exceptions", widget="String", required=false, def="NOMPro")
+	
+	@Option(name = "formAsLemmaPosList", usage = "Pos values lemma exceptions", widget = "String", required = false, def = "NOMPro")
 	public String formAsLemmaPosList = null;
-	@Option(name="sourcePriorityList", usage="The property to create/update in the corpus", widget="String", required=true, def="TL")
+	
+	@Option(name = "sourcePriorityList", usage = "The property to create/update in the corpus", widget = "String", required = true, def = "TL")
 	public String sourcePriorityList = null;
-
+	
 	/**
 	 * 
 	 */
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		CQPCorpus corpus = null;
 		IWorkbenchWindow window = HandlerUtil.getActiveWorkbenchWindowChecked(event);
-
+		
 		ISelection isel = window.getActivePage().getSelection();
 		if (isel instanceof IStructuredSelection) {
-			IStructuredSelection sel = (IStructuredSelection)isel;
+			IStructuredSelection sel = (IStructuredSelection) isel;
 			Object first = sel.getFirstElement();
 			if (first instanceof CQPCorpus) {
-				corpus = (CQPCorpus)first;
+				corpus = (CQPCorpus) first;
 				if (ParametersDialog.open(this)) {
 					LinkedHashSet<String> formAsLemmaPosSet = new LinkedHashSet<String>();
 					formAsLemmaPosSet.addAll(Arrays.asList(formAsLemmaPosList.split(",")));
 					LinkedHashSet<String> sourcePrioritySet = new LinkedHashSet<String>();
 					if (extrarules != null && extrarules.exists()) sourcePrioritySet.add(EXTRA); // extra must be the first source
 					sourcePrioritySet.addAll(Arrays.asList(sourcePriorityList.split(",")));
-
-					System.out.println("formAsLemmaPosSet="+formAsLemmaPosSet);
-					System.out.println("sourcePrioritySet="+sourcePrioritySet);
+					
+					System.out.println("formAsLemmaPosSet=" + formAsLemmaPosSet);
+					System.out.println("sourcePrioritySet=" + sourcePrioritySet);
 					apply(corpus, dictionary, extrarules, posproperty, lemmaproperty, formAsLemmaPosSet, sourcePrioritySet);
 					return corpus;
 				}
 			}
 		}
-
+		
 		System.out.println("Wrong selection.");
 		return null;
 	}
-
-	public static void apply(final CQPCorpus corpus, final File dictionary, final File extrarules, final String posproperty, 
+	
+	public static void apply(final CQPCorpus corpus, final File dictionary, final File extrarules, final String posproperty,
 			final String targetproperty, final LinkedHashSet<String> formAsLemmaPosList, final LinkedHashSet<String> sourceprioritylist) {
 		final MainCorpus mainCorpus = corpus.getMainCorpus();
 		final File corpusBinaryDirectory = mainCorpus.getProjectDirectory();
-		final File txmDirectory = new File(corpusBinaryDirectory, "txm/"+mainCorpus.getID());
-
+		final File txmDirectory = new File(corpusBinaryDirectory, "txm/" + mainCorpus.getID());
+		
 		if (!txmDirectory.exists()) {
-			System.out.println("Can't process a corpus with no XML-TXM files directory: "+txmDirectory);
+			System.out.println("Can't process a corpus with no XML-TXM files directory: " + txmDirectory);
 			return;
 		}
-
+		
 		final File[] files = txmDirectory.listFiles(new FileFilter() {
+			
 			@Override
 			public boolean accept(File file) {
 				return file.isFile() && file.canWrite() && file.getName().endsWith(".xml");
 			}
 		});
-
+		
 		Property pos = null;
 		try {
 			pos = mainCorpus.getProperty(posproperty);
-		} catch (CqiClientException e1) {
+		}
+		catch (CqiClientException e1) {
 			// TODO Auto-generated catch block
 			e1.printStackTrace();
 		}
 		if (pos == null) {
-			System.out.println("No pos property found with name="+posproperty);
+			System.out.println("No pos property found with name=" + posproperty);
 			return;
 		}
-
+		
 		if (files == null || files.length == 0) {
-			System.out.println("Can't process a corpus with no XML-TXM files in "+txmDirectory);
+			System.out.println("Can't process a corpus with no XML-TXM files in " + txmDirectory);
 			return;
 		}
-
-		System.out.println("APPLYING : "+dictionary+" to "+mainCorpus+": creating/updating "+targetproperty+ " property with lexicon "+dictionary);
-		JobHandler job = new JobHandler("Creating/Updating "+targetproperty+" property.") {
+		
+		System.out.println("APPLYING : " + dictionary + " to " + mainCorpus + ": creating/updating " + targetproperty + " property with lexicon " + dictionary);
+		JobHandler job = new JobHandler("Creating/Updating " + targetproperty + " property.") {
+			
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
@@ -140,68 +150,69 @@
 					while (line != null) {
 						String[] splitTab = line.split("\t");
 						if (splitTab.length != 5) {
-							System.out.println("Error in dictionary files with line='"+line+"': length is not 5. Found: "+Arrays.toString(splitTab));
+							System.out.println("Error in dictionary files with line='" + line + "': length is not 5. Found: " + Arrays.toString(splitTab));
 							line = reader.readLine();
 							reader.close();
 							return Status.CANCEL_STATUS;
 						}
 						String form = splitTab[0];
-						String pos = splitTab[1];//.replace("<no_pos>|", "").replace("|<no_pos>|", "").replace("|<no_pos>", "");
-						String lemma = splitTab[2];//.replace("<no_lemma>|", "").replace("|<no_lemma>|", "").replace("|<no_lemma>", "");
+						String pos = splitTab[1];// .replace("<no_pos>|", "").replace("|<no_pos>|", "").replace("|<no_pos>", "");
+						String lemma = splitTab[2];// .replace("<no_lemma>|", "").replace("|<no_lemma>|", "").replace("|<no_lemma>", "");
 						String source = splitTab[3];
 						
-						if (! rules.containsKey(form)) rules.put(form, new LinkedHashMap<String, LinkedHashMap<String, String>>());
+						if (!rules.containsKey(form)) rules.put(form, new LinkedHashMap<String, LinkedHashMap<String, String>>());
 						LinkedHashMap<String, LinkedHashMap<String, String>> posHash = rules.get(form);
 						
 						if (!lemma.equals("<no_lemma>")) {
 							if (!posHash.containsKey(pos)) posHash.put(pos, new LinkedHashMap<String, String>());
 							LinkedHashMap<String, String> sourceHash = posHash.get(pos);
 							
-							sourceHash.put(source,  lemma);
+							sourceHash.put(source, lemma);
 						}
 						line = reader.readLine();
 					}
 					reader.close();
-					System.out.println("Dictionary rules loaded: "+rules.size());
-
+					System.out.println("Dictionary rules loaded: " + rules.size());
+					
 					if (extrarules.exists()) {
 						reader = IOUtils.getReader(extrarules);
 						line = reader.readLine();
 						while (line != null) {
 							String[] splitTab = line.split("\t");
 							if (splitTab.length != 3) {
-								System.out.println("Error in extra rule files with line='"+line+"': length is not 3.");
+								System.out.println("Error in extra rule files with line='" + line + "': length is not 3.");
 								line = reader.readLine();
 								continue;
 							}
 							String form = splitTab[0];
 							String pos = splitTab[1];
 							String lemma = splitTab[2];
-							if (! rules.containsKey(form)) rules.put(form, new LinkedHashMap<String, LinkedHashMap<String, String>>());
+							if (!rules.containsKey(form)) rules.put(form, new LinkedHashMap<String, LinkedHashMap<String, String>>());
 							LinkedHashMap<String, LinkedHashMap<String, String>> posHash = rules.get(form);
-
+							
 							if (!posHash.containsKey(pos)) posHash.put(pos, new LinkedHashMap<String, String>());
 							LinkedHashMap<String, String> sourceHash = posHash.get(pos);
-							sourceHash.put(EXTRA,  lemma);
-
+							sourceHash.put(EXTRA, lemma);
+							
 						}
 						reader.close();
-						System.out.println("Dictionary extra rules loaded: "+rules.size());
-					} else {
+						System.out.println("Dictionary extra rules loaded: " + rules.size());
+					}
+					else {
 						System.out.println("No extra rule loaded.");
 					}
 					
 					PrintWriter writer = IOUtils.getWriter("/tmp/rules.txt");
 					for (String k : rules.keySet()) {
-						writer.println("FORM="+k);
+						writer.println("FORM=" + k);
 						LinkedHashMap<String, LinkedHashMap<String, String>> rules2 = rules.get(k);
 						for (String k2 : rules2.keySet()) {
-							writer.println(" POS="+k2);
+							writer.println(" POS=" + k2);
 							LinkedHashMap<String, String> rules3 = rules2.get(k2);
 							for (String k3 : rules3.keySet()) {
-								writer.println("  SOURCE="+k3);
+								writer.println("  SOURCE=" + k3);
 								String ls2 = rules3.get(k3);
-								writer.println("   LEMMA="+ls2);
+								writer.println("   LEMMA=" + ls2);
 							}
 						}
 					}
@@ -212,13 +223,13 @@
 					for (String s : formAsLemmaPosList) {
 						formAsLemmaPosSet.add(s);
 					}
-					System.out.println("POS exception rules loaded: "+formAsLemmaPosSet.size());
-
+					System.out.println("POS exception rules loaded: " + formAsLemmaPosSet.size());
+					
 					// save previous version of XML-TXM files
-					File previousXMLTXMDirectory = new File(txmDirectory.getAbsolutePath()+"_previous");
+					File previousXMLTXMDirectory = new File(txmDirectory.getAbsolutePath() + "_previous");
 					DeleteDir.deleteDirectory(previousXMLTXMDirectory);
 					FileCopy.copyFiles(txmDirectory, previousXMLTXMDirectory);
-
+					
 					// work
 					File noMatchsFile = new File(Toolbox.getTxmHomePath(), "results/nomatch.txt");
 					HashSet<String> noMatchsSet = new HashSet<String>();
@@ -226,33 +237,36 @@
 					for (File xmlFile : files) {
 						cpb.tick();
 						XMLLemmaProjection p = new XMLLemmaProjection(xmlFile, rules, formAsLemmaPosSet, sourceprioritylist, posproperty, targetproperty);
-						File tmpFile = new File(xmlFile.getParentFile(), "tmp_"+xmlFile.getName());
+						File tmpFile = new File(xmlFile.getParentFile(), "tmp_" + xmlFile.getName());
 						if (p.process(tmpFile)) {
 							if (xmlFile.delete() && tmpFile.renameTo(xmlFile)) {
 								// ok
-							} else {
-								System.out.println("Error during lemma projection: can't replace XML-TXM file: "+xmlFile);
+							}
+							else {
+								System.out.println("Error during lemma projection: can't replace XML-TXM file: " + xmlFile);
 								return Status.CANCEL_STATUS;
 							}
-						} else {
+						}
+						else {
 							System.out.println("Error during lemma projection. Aborting.");
 							return Status.CANCEL_STATUS;
 						}
 						if (p.getNoMatchValues().size() > 0) {
-							System.out.println("No matchs found with file "+xmlFile.getName()+": "+p.getNoMatchValues());
+							System.out.println("No matchs found with file " + xmlFile.getName() + ": " + p.getNoMatchValues());
 							noMatchsSet.addAll(p.getNoMatchValues());
 						}
 					}
-
+					
 					if (noMatchsSet.size() > 0) {
-						System.out.println("Missing lemma values report saved in: "+noMatchsFile);
+						System.out.println("Missing lemma values report saved in: " + noMatchsFile);
 						IOUtils.write(noMatchsFile, StringUtils.join(noMatchsSet, "\n"));
 					}
-
+					
 					cpb.done();
 					monitor.worked(50);
-
-				} catch (Exception e) {
+					
+				}
+				catch (Exception e) {
 					e.printStackTrace();
 					return Status.CANCEL_STATUS;
 				}
Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/XMLLemmaProjection.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/XMLLemmaProjection.java	(revision 2401)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/XMLLemmaProjection.java	(revision 2402)
@@ -12,20 +12,23 @@
 import org.txm.importer.StaxIdentityParser;
 
 public class XMLLemmaProjection extends StaxIdentityParser {
-
+	
 	// form -> pos -> source -> lemma
 	protected LinkedHashMap<String, LinkedHashMap<String, LinkedHashMap<String, String>>> rules = null;
+	
 	protected HashSet<String> formAsLemmaPosList = null;
+	
 	protected String lemmaProperty;
-
+	
 	protected HashSet<String> noMatchValues = new HashSet<String>();
+	
 	protected String posProperty;
+	
 	protected LinkedHashSet<String> lemmaSourcePriorityList;
-
-	public XMLLemmaProjection(File infile, LinkedHashMap<String, LinkedHashMap<String, 
-			LinkedHashMap<String, String>>> rules, 
+	
+	public XMLLemmaProjection(File infile, LinkedHashMap<String, LinkedHashMap<String, LinkedHashMap<String, String>>> rules,
 			HashSet<String> formAsLemmaPosList,
-			LinkedHashSet<String> lemmaSourcePriorityList, 
+			LinkedHashSet<String> lemmaSourcePriorityList,
 			String posProperty, String lemmaProperty) throws IOException, XMLStreamException {
 		super(infile);
 		this.rules = rules;
@@ -35,65 +38,72 @@
 		this.posProperty = posProperty;
 		
 		// the XML-TXM files word properties name starts wit # (they are references)
-		if (!this.lemmaProperty.startsWith("#")) this.lemmaProperty = "#"+this.lemmaProperty;
-		if (!this.posProperty.startsWith("#")) this.posProperty = "#"+this.posProperty;
+		if (!this.lemmaProperty.startsWith("#")) this.lemmaProperty = "#" + this.lemmaProperty;
+		if (!this.posProperty.startsWith("#")) this.posProperty = "#" + this.posProperty;
 	}
-
+	
 	boolean inW = false, inAna = false, inForm;
+	
 	LinkedHashMap<String, String> anaValues = new LinkedHashMap<String, String>();
+	
 	LinkedHashMap<String, String> anaResps = new LinkedHashMap<String, String>();
+	
 	String typeName = null;
+	
 	String respName = null;
+	
 	String formValue, typeValue = null;
-
+	
 	@Override
 	public void processStartElement() throws XMLStreamException, IOException {
 		if (!inW) super.processStartElement(); // don't write W content
-
+		
 		if (localname.equals("w")) {
 			inW = true;
 			anaValues.clear();
 			anaResps.clear();
-
-			//initialize the new type to a empty value in case there is transformation rule
+			
+			// initialize the new type to a empty value in case there is transformation rule
 			anaValues.put(lemmaProperty, "");
 			anaResps.put(lemmaProperty, "#txm_recode");
-		} else if (localname.equals("ana")) {
+		}
+		else if (localname.equals("ana")) {
 			inAna = true;
 			typeName = parser.getAttributeValue(null, "type");
 			respName = parser.getAttributeValue(null, "resp");
 			anaResps.put(typeName, respName);
-			//if (typeName != null) typeName = typeName.substring(1); // remove #
+			// if (typeName != null) typeName = typeName.substring(1); // remove #
 			typeValue = "";
-		} else if (localname.equals("form")) {
+		}
+		else if (localname.equals("form")) {
 			inForm = true;
 			formValue = "";
-		} 
+		}
 	}
-
+	
 	@Override
 	public void processCharacters() throws XMLStreamException {
-		if (inW && inAna) typeValue+=parser.getText();
-		else if (inW && inForm) formValue+=parser.getText();
+		if (inW && inAna) typeValue += parser.getText();
+		else if (inW && inForm) formValue += parser.getText();
 		else super.processCharacters();
 	}
-
+	
 	@Override
 	public void processEndElement() throws XMLStreamException {
 		if (localname.equals("w")) {
 			inW = false;
-
+			
 			// write W content
 			try {
 				// get the value to test
 				String posValue = anaValues.get(posProperty);
 				if (posValue == null) {
 					posValue = "<no_pos>";
-//					anaValues.put(posProperty, "<no_pos>");
-//					anaResps.put(posProperty, "txm_recode");
+					// anaValues.put(posProperty, "<no_pos>");
+					// anaResps.put(posProperty, "txm_recode");
 				}
 				String value = updateAnaValuesIfMatch(formValue.trim(), posValue.trim());
-				//System.out.println("form="+formValue+" + pos="+posValue+" -> "+value);
+				// System.out.println("form="+formValue+" + pos="+posValue+" -> "+value);
 				anaValues.put(lemmaProperty, value);
 				anaResps.put(lemmaProperty, "#txm_recode");
 				
@@ -101,7 +111,7 @@
 				writer.writeStartElement("txm:form");
 				writer.writeCharacters(formValue);
 				writer.writeEndElement();
-
+				
 				for (String k : anaValues.keySet()) {
 					writer.writeStartElement("txm:ana");
 					writer.writeAttribute("resp", anaResps.get(k));
@@ -109,38 +119,41 @@
 					writer.writeCharacters(anaValues.get(k));
 					writer.writeEndElement();
 				}
-			} catch (XMLStreamException e) {
+			}
+			catch (XMLStreamException e) {
 				e.printStackTrace();
 			}
-		} else if (localname.equals("ana")) {
+		}
+		else if (localname.equals("ana")) {
 			anaValues.put(typeName, typeValue);
 			inAna = false;
-		} else if (localname.equals("form")) {
+		}
+		else if (localname.equals("form")) {
 			inForm = false;
-		} 
-
+		}
+		
 		if (!inW) super.processEndElement(); // don't write W content now
 	}
-
+	
 	protected String updateAnaValuesIfMatch(String formValue, String posValue) {
 		if (posValue == null) return "";
 		
 		if (formAsLemmaPosList.contains(posValue)) return formValue;
 		
 		
-		if (formValue.equals("virge")) System.out.println("testing: "+formValue+" "+posValue);
-		if (formValue.equals("virge")) System.out.println("form connue? "+rules.containsKey(formValue));
+		if (formValue.equals("virge")) System.out.println("testing: " + formValue + " " + posValue);
+		if (formValue.equals("virge")) System.out.println("form connue? " + rules.containsKey(formValue));
 		if (rules.containsKey(formValue)) {
 			LinkedHashMap<String, LinkedHashMap<String, String>> posHash = rules.get(formValue);
-//			if (posHash.containsKey(posValue)) {
-//				LinkedHashMap<String, String> sourceHash = posHash.get(posValue);
-//				for (String source : lemmaSourcePriorityList) {
-//					if (sourceHash.containsKey(source)) {
-//						return sourceHash.get(source);
-//					}
-//				}
-//			}
-			if (formValue.equals("virge")) System.out.println(" tests"+posHash.keySet());
+			// if (posHash.containsKey(posValue)) {
+			// LinkedHashMap<String, String> sourceHash = posHash.get(posValue);
+			// for (String source : lemmaSourcePriorityList) {
+			// if (sourceHash.containsKey(source)) {
+			// return sourceHash.get(source);
+			// }
+			// }
+			// }
+			if (formValue.equals("virge")) System.out.println(" tests" + posHash.keySet());
 			for (String posRegexp : posHash.keySet()) {
 				
 				if (posValue.matches(posRegexp)) {
@@ -153,14 +166,14 @@
 		String formValueMin = formValue.toLowerCase();
 		if (rules.containsKey(formValueMin)) {
 			LinkedHashMap<String, LinkedHashMap<String, String>> posHash = rules.get(formValueMin);
-//			if (posHash.containsKey(posValue)) {
-//				LinkedHashMap<String, String> sourceHash = posHash.get(posValue);
-//				for (String source : lemmaSourcePriorityList) {
-//					if (sourceHash.containsKey(source)) {
-//						return sourceHash.get(source);
-//					}
-//				}
-//			}
+			// if (posHash.containsKey(posValue)) {
+			// LinkedHashMap<String, String> sourceHash = posHash.get(posValue);
+			// for (String source : lemmaSourcePriorityList) {
+			// if (sourceHash.containsKey(source)) {
+			// return sourceHash.get(source);
+			// }
+			// }
+			// }
 			
 			for (String posRegexp : posHash.keySet()) {
 				if (posValue.matches(posRegexp)) {
@@ -169,25 +182,25 @@
 			}
 		}
 		
-		noMatchValues.add(formValue+"|"+posValue);
-		return "!"+formValue;
+		noMatchValues.add(formValue + "|" + posValue);
+		return "!" + formValue;
 	}
-
+	
 	public HashSet<String> getNoMatchValues() {
 		return noMatchValues;
 	}
-
+	
 	public static void main(String args[]) {
 		File xmlFile = new File("/home/mdecorde/TXM/corpora/XTZTEXTUALPLANS/txm/XTZTEXTUALPLANS/test.xml");
 		File tmpFile = new File("/home/mdecorde/TXM/corpora/XTZTEXTUALPLANS/txm/XTZTEXTUALPLANS/test-o.xml");
 		String posProperty = "type";
 		String newType = "lemma";
 		LinkedHashMap<Pattern[], String> rules = new LinkedHashMap<Pattern[], String>();
-		rules.put(new Pattern[]{Pattern.compile("w"), Pattern.compile("w")}, "WORD");
-		rules.put(new Pattern[]{Pattern.compile("x.+"), Pattern.compile("w")}, "XWORD");
-		rules.put(new Pattern[]{Pattern.compile("y"), Pattern.compile("w")}, "YWORD");
-		rules.put(new Pattern[]{Pattern.compile("y.*"), Pattern.compile("w")}, "YMULTIWORD");
-		//XMLPropertyProjection converter = new XMLPropertyProjection(xmlFile, rules, posProperty, newType);
-		//System.out.println(converter.process(tmpFile));
+		rules.put(new Pattern[] { Pattern.compile("w"), Pattern.compile("w") }, "WORD");
+		rules.put(new Pattern[] { Pattern.compile("x.+"), Pattern.compile("w") }, "XWORD");
+		rules.put(new Pattern[] { Pattern.compile("y"), Pattern.compile("w") }, "YWORD");
+		rules.put(new Pattern[] { Pattern.compile("y.*"), Pattern.compile("w") }, "YMULTIWORD");
+		// XMLPropertyProjection converter = new XMLPropertyProjection(xmlFile, rules, posProperty, newType);
+		// System.out.println(converter.process(tmpFile));
 	}
 }
Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/RemoveProperties.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/RemoveProperties.java	(revision 2401)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/RemoveProperties.java	(revision 2402)
@@ -37,27 +37,28 @@
 
 /**
  * Our sample handler extends AbstractHandler, an IHandler base class.
+ * 
  * @see org.eclipse.core.commands.IHandler
  * @see org.eclipse.core.commands.AbstractHandler
  */
 public class RemoveProperties extends AbstractHandler {
-
-	@Option(name="propertiesList", usage="The properties to remove", widget="String", required=true, def="plemma")
+	
+	@Option(name = "propertiesList", usage = "The properties to remove", widget = "String", required = true, def = "plemma")
 	public String propertiesList = null;
-
+	
 	/**
 	 * 
 	 */
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		CQPCorpus corpus = null;
 		IWorkbenchWindow window = HandlerUtil.getActiveWorkbenchWindowChecked(event);
-
+		
 		ISelection isel = window.getActivePage().getSelection();
 		if (isel instanceof IStructuredSelection) {
-			IStructuredSelection sel = (IStructuredSelection)isel;
+			IStructuredSelection sel = (IStructuredSelection) isel;
 			Object first = sel.getFirstElement();
 			if (first instanceof CQPCorpus) {
-				corpus = (CQPCorpus)first;
+				corpus = (CQPCorpus) first;
 				if (ParametersDialog.open(this)) {
 					LinkedHashSet<String> propertiesSet = new LinkedHashSet<String>();
 					propertiesSet.addAll(Arrays.asList(propertiesList.split(",")));
@@ -67,35 +68,37 @@
 				}
 			}
 		}
-
+		
 		System.out.println("Wrong selection.");
 		return null;
 	}
-
+	
 	public static void apply(final CQPCorpus corpus, final HashSet<String> propertiesSet) {
 		final MainCorpus mainCorpus = corpus.getMainCorpus();
 		final File corpusBinaryDirectory = mainCorpus.getProjectDirectory();
-		final File txmDirectory = new File(corpusBinaryDirectory, "txm/"+mainCorpus.getID());
-
+		final File txmDirectory = new File(corpusBinaryDirectory, "txm/" + mainCorpus.getID());
+		
 		if (!txmDirectory.exists()) {
-			System.out.println("Can't process a corpus with no XML-TXM files directory: "+txmDirectory);
+			System.out.println("Can't process a corpus with no XML-TXM files directory: " + txmDirectory);
 			return;
 		}
-
+		
 		final File[] files = txmDirectory.listFiles(new FileFilter() {
+			
 			@Override
 			public boolean accept(File file) {
 				return file.isFile() && file.canWrite() && file.getName().endsWith(".xml");
 			}
 		});
-
+		
 		if (files == null || files.length == 0) {
-			System.out.println("Can't process a corpus with no XML-TXM files in "+txmDirectory);
+			System.out.println("Can't process a corpus with no XML-TXM files in " + txmDirectory);
 			return;
 		}
-
-		System.out.println("Removing "+propertiesSet+" to "+mainCorpus+" XML-TXM files...");
-		JobHandler job = new JobHandler("Removing "+propertiesSet+" to "+mainCorpus+" XML-TXM files.") {
+		
+		System.out.println("Removing " + propertiesSet + " to " + mainCorpus + " XML-TXM files...");
+		JobHandler job = new JobHandler("Removing " + propertiesSet + " to " + mainCorpus + " XML-TXM files.") {
+			
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
@@ -103,10 +106,10 @@
 				HashSet<String> no_change_rules = new HashSet<String>();
 				try {
 					// save previous version of XML-TXM files
-					File previousXMLTXMDirectory = new File(txmDirectory.getAbsolutePath()+"_previous");
+					File previousXMLTXMDirectory = new File(txmDirectory.getAbsolutePath() + "_previous");
 					DeleteDir.deleteDirectory(previousXMLTXMDirectory);
 					FileCopy.copyFiles(txmDirectory, previousXMLTXMDirectory);
-
+					
 					// work
 					File noMatchsFile = new File(Toolbox.getTxmHomePath(), "results/nomatch.txt");
 					HashSet<String> noMatchsSet = new HashSet<String>();
@@ -114,24 +117,27 @@
 					for (File xmlFile : files) {
 						cpb.tick();
 						XMLRemoveProperties p = new XMLRemoveProperties(xmlFile, propertiesSet);
-						File tmpFile = new File(xmlFile.getParentFile(), "tmp_"+xmlFile.getName());
+						File tmpFile = new File(xmlFile.getParentFile(), "tmp_" + xmlFile.getName());
 						if (p.process(tmpFile)) {
 							if (xmlFile.delete() && tmpFile.renameTo(xmlFile)) {
 								// ok
-							} else {
-								System.out.println("Error during properties removal: can't replace XML-TXM file: "+xmlFile);
+							}
+							else {
+								System.out.println("Error during properties removal: can't replace XML-TXM file: " + xmlFile);
 								return Status.CANCEL_STATUS;
 							}
-						} else {
+						}
+						else {
 							System.out.println("Error during properties removal. Aborting.");
 							return Status.CANCEL_STATUS;
 						}
 					}
-
+					
 					cpb.done();
 					monitor.worked(50);
-
-				} catch (Exception e) {
+					
+				}
+				catch (Exception e) {
 					e.printStackTrace();
 					return Status.CANCEL_STATUS;
 				}
Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/XMLRemoveProperties.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/XMLRemoveProperties.java	(revision 2401)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/XMLRemoveProperties.java	(revision 2402)
@@ -17,35 +17,38 @@
  *
  */
 public class XMLRemoveProperties extends StaxIdentityParser {
-
+	
 	// form -> pos -> source -> lemma
 	protected HashSet<String> propertiesSet = null;
-
+	
 	/**
 	 * 
 	 * @param infile the XML-TXM file to process
 	 * @param propertiesSet the set of ana@type attributes to remove
-	 * @throws XMLStreamException 
-	 * @throws IOException 
+	 * @throws XMLStreamException
+	 * @throws IOException
 	 */
 	public XMLRemoveProperties(File infile, HashSet<String> propertiesSet) throws IOException, XMLStreamException {
 		super(infile);
 		this.propertiesSet = new HashSet<String>();
 		for (String property : propertiesSet) {
 			// the XML-TXM files word properties name starts with # (they are references)
-			if (!property.startsWith("#")) property = "#"+property;
+			if (!property.startsWith("#")) property = "#" + property;
 			this.propertiesSet.add(property);
 		}
 	}
-
+	
 	boolean inW = false, inAna = false;
+	
 	String typeName = null;
+	
 	@Override
 	public void processStartElement() throws XMLStreamException, IOException {
 		
 		if (localname.equals("w")) {
 			inW = true;
-		} else if (inW && localname.equals("ana")) {
+		}
+		else if (inW && localname.equals("ana")) {
 			inAna = true;
 			typeName = parser.getAttributeValue(null, "type");
 			if (propertiesSet.contains(typeName)) return; // don't write this element start tag
@@ -53,38 +56,44 @@
 		
 		super.processStartElement();
 	}
-
+	
 	@Override
 	public void processCharacters() throws XMLStreamException {
 		
-		if (inW && typeName != null && propertiesSet.contains(typeName)) {return;} // don't write the element content
+		if (inW && typeName != null && propertiesSet.contains(typeName)) {
+			return;
+		} // don't write the element content
 		super.processCharacters();
 	}
-
+	
 	@Override
 	public void processEndElement() throws XMLStreamException {
 		if (localname.equals("w")) {
 			inW = false;
-		} else if (inW && localname.equals("ana")) {
+		}
+		else if (inW && localname.equals("ana")) {
 			inAna = false;
-			if (propertiesSet.contains(typeName)) {typeName = null; return;} // don't write the element end tag
+			if (propertiesSet.contains(typeName)) {
+				typeName = null;
+				return;
+			} // don't write the element end tag
 			typeName = null;
 		}
-
+		
 		super.processEndElement(); // don't write W content now
 	}
-
+	
 	public static void main(String args[]) {
 		File xmlFile = new File("/home/mdecorde/TXM/corpora/XTZTEXTUALPLANS/txm/XTZTEXTUALPLANS/test.xml");
 		File tmpFile = new File("/home/mdecorde/TXM/corpora/XTZTEXTUALPLANS/txm/XTZTEXTUALPLANS/test-o.xml");
 		String posProperty = "type";
 		String newType = "lemma";
 		LinkedHashMap<Pattern[], String> rules = new LinkedHashMap<Pattern[], String>();
-		rules.put(new Pattern[]{Pattern.compile("w"), Pattern.compile("w")}, "WORD");
-		rules.put(new Pattern[]{Pattern.compile("x.+"), Pattern.compile("w")}, "XWORD");
-		rules.put(new Pattern[]{Pattern.compile("y"), Pattern.compile("w")}, "YWORD");
-		rules.put(new Pattern[]{Pattern.compile("y.*"), Pattern.compile("w")}, "YMULTIWORD");
-		//XMLPropertyProjection converter = new XMLPropertyProjection(xmlFile, rules, posProperty, newType);
-		//System.out.println(converter.process(tmpFile));
+		rules.put(new Pattern[] { Pattern.compile("w"), Pattern.compile("w") }, "WORD");
+		rules.put(new Pattern[] { Pattern.compile("x.+"), Pattern.compile("w") }, "XWORD");
+		rules.put(new Pattern[] { Pattern.compile("y"), Pattern.compile("w") }, "YWORD");
+		rules.put(new Pattern[] { Pattern.compile("y.*"), Pattern.compile("w") }, "YMULTIWORD");
+		// XMLPropertyProjection converter = new XMLPropertyProjection(xmlFile, rules, posProperty, newType);
+		// System.out.println(converter.process(tmpFile));
 	}
 }
